uniform float fProgress;
uniform float4 colorBackGround;	
uniform float4 colorForeGround;	

float4 main_ps( float2 DiffuseUV : TEXCOORD0 ) : COLOR0
{
	if(DiffuseUV.x <= fProgress)
	{
		return colorForeGround;
	}
	else
	{
		return colorBackGround;
	}
}
